Package Details: kdebase-workspace 4.11.22-5

Git Clone URL: https://aur.archlinux.org/kdebase-workspace.git (read-only)
Package Base: kdebase-workspace
Description: Provides the interface and basic tools for the KDE workspace
Upstream URL: https://projects.kde.org/projects/kde/kde-workspace
Licenses: GPL, LGPL, FDL
Submitter: arojas
Maintainer: None
Last Packager: Chazza
Votes: 3
Popularity: 0.000631
First Submitted: 2015-12-12 10:13
Last Updated: 2017-08-23 00:28

Dependencies (37)

Sources (12)

Latest Comments

Chazza commented on 2017-08-23 16:25

No worries! Enjoy :)

mozo commented on 2017-08-23 16:16

It's installed now, thank you :)

Chazza commented on 2017-08-23 15:47

@mozo OK I've just rebuilt everything (and I mean everything ;) ) and there are no problems for me so I don't think there's a problem with kdebase-workspace and friends.

Looking at your output, I see that the build system is trying to import from docbook-xsl 1.79.1 but the latest version is 1.79.2. If you have docbook-xsl 1.79.2 then that explains why the build system can't find the files.

The file that is requesting the docbook-xsl stuff is /usr/share/apps/ksgmltools2/customization/kde-include-common.xsl

I see that is provided by kdelibs. So my best guess is that your kdelibs is out of date. Can you verify that your kdelibs is at version 4.14.35-1 and then try building kdebase-workspace again?

mozo commented on 2017-08-23 14:53

Yes, I have docbook-xsl installed :)

Chazza commented on 2017-08-23 13:16

@mozo Curious. Do you have docbook-xsl installed? I don't see how you couldn't because it's a dependency of kdelibs but still. I'll start running a full rebuild to double check everything. I might have made a mistake somewhere.

mozo commented on 2017-08-23 12:42

I can't upgrade:
[ 64%] Generating index.cache.bz2
I/O warning : failed to load external entity "/usr/share/xml/docbook/xsl-stylesheets-1.79.1/html/autoidx.xsl"
compilation error: file /usr/share/apps/ksgmltools2/customization/kde-include-common.xsl line 4 element import
xsl:import : unable to load /usr/share/xml/docbook/xsl-stylesheets-1.79.1/html/autoidx.xsl
I/O warning : failed to load external entity "/usr/share/xml/docbook/xsl-stylesheets-1.79.1/html/chunk.xsl"
compilation error: file /usr/share/apps/ksgmltools2/customization/kde-include-common.xsl line 5 element import
xsl:import : unable to load /usr/share/xml/docbook/xsl-stylesheets-1.79.1/html/chunk.xsl
unable to parse /tmp/makepkg/kdebase-workspace/src/kde-workspace-4.11.22/doc/kdm/index.docbook
make[2]: *** [doc/kdm/CMakeFiles/doc-kdm-handbook.dir/build.make:64: doc/kdm/index.cache.bz2] Error 1
make[1]: *** [CMakeFiles/Makefile2:17604: doc/kdm/CMakeFiles/doc-kdm-handbook.dir/all] Error 2
make: *** [Makefile:141: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build kdebase-workspace.
==> Restart building kdebase-workspace ? [y/N]
==> ------------------------------------------
==> yyyyy
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==>

Chazza commented on 2017-08-23 00:58

I've pushed a drive-by update to get this working again. Some missing packages have been added to the AUR and I've made a couple of changes to this package to fix some build issues, see https://aur.archlinux.org/cgit/aur.git/commit/?h=kdebase-workspace&id=d4db5531d86fc7ab51d6808f59616f0eb475acd0

I haven't really got the time to maintain this full time so I'm dropping it now but if something else breaks and there's no maintainer then I can be emailed. I can't guarantee I'll be able to do anything though.

Edit: playing around with this, I noticed that some things like the systray applet are broken because they need some package called org.kde.plasma.extras. I suspect that's down to this change in the kdebase-runtime package: https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/kdebase-runtime&id=799d639faaccb2ad75d3b1081489ad33d30fca9d

I'm not going to to investigate this further though. The desktop as a whole works so if someone else is interested then they can look into it.

djringjr commented on 2017-08-01 13:30

Build fails because:
Cannot find kdebindings-python2

djringjr commented on 2017-07-31 22:16

ERROR in installation.

error: target not found: kdebindings-python2

dflt commented on 2016-12-10 21:37

Today I updated to KDE5 and I really like it. :) I don't see bugs that were year ago. The most painful thing is clearing configs because you get some glitches if you left the oldies.

All comments